Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class MeetingResponseStatusEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.MeetingResponseStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class MeetingResponseStatusEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent the how an organized meeting request was responded to. The enumeration class that contains `MeetingResponseStatus` elements.

See Also:
  Serialized Form

Field Summary
`static MeetingResponseStatus` | `ACCEPTED` Indicates that the meeting request was accepted.
`static MeetingResponseStatus` | `DECLINED` Indicates that the meeting request was declined.
`static MeetingResponseStatus` | `NONE`
`static MeetingResponseStatus` | `NOT_RESPONDED` Indicates that there has been no response for the meeting.
`static int` | `NUM_ELEMENTS`
`static MeetingResponseStatus` | `ORGANIZED` Indicates that the meeting is organized
`static MeetingResponseStatus` | `TENTATIVE` Indicates that the meeting request was accepted tentatively.
`static int` | `VALUE_ACCEPTED`
`static int` | `VALUE_DECLINED`
`static int` | `VALUE_NONE`
`static int` | `VALUE_NOT_RESPONDED`
`static int` | `VALUE_ORGANIZED`
`static int` | `VALUE_TENTATIVE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `MeetingResponseStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `MeetingResponseStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NONE

    public static final int VALUE_NONE

See Also:
  Constant Field Values

### VALUE_ORGANIZED

    public static final int VALUE_ORGANIZED

See Also:
  Constant Field Values

### VALUE_TENTATIVE

    public static final int VALUE_TENTATIVE

See Also:
  Constant Field Values

### VALUE_ACCEPTED

    public static final int VALUE_ACCEPTED

See Also:
  Constant Field Values

### VALUE_DECLINED

    public static final int VALUE_DECLINED

See Also:
  Constant Field Values

### VALUE_NOT_RESPONDED

    public static final int VALUE_NOT_RESPONDED

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### NONE

    public static final MeetingResponseStatus NONE

### ORGANIZED

    public static final MeetingResponseStatus ORGANIZED

  Indicates that the meeting is organized

### TENTATIVE

    public static final MeetingResponseStatus TENTATIVE

  Indicates that the meeting request was accepted tentatively.

### ACCEPTED

    public static final MeetingResponseStatus ACCEPTED

  Indicates that the meeting request was accepted.

### DECLINED

    public static final MeetingResponseStatus DECLINED

  Indicates that the meeting request was declined.

### NOT_RESPONDED

    public static final MeetingResponseStatus NOT_RESPONDED

  Indicates that there has been no response for the meeting.

Constructor Detail

### MeetingResponseStatusEnum

    protected MeetingResponseStatusEnum(java.lang.Class elementClass,
                                        int iNumElements,
                                        com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                        EnumElement defaultElement,
                                        java.lang.String sInternalName,
                                        boolean bMaskable)

  Constructor.

### MeetingResponseStatusEnum

    protected MeetingResponseStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.